*** /dev/null
--- NetBSD/src/sys/arch/amiga/conf/FILIPPA
***************
*** 0 ****
--- 1,255 ----
+ #	$NetBSD: FILIPPA,v 1.29 1994/12/01 17:24:44 chopps Exp $
+ 
+ #
+ # FILIPPA (AMIGA 2000 with a Zeus, a GVP HC-8, a Retina and a GoldenGate II)
+ #
+ # This configuration file contains all possible options
+ #
+ 
+ include "std.amiga"
+ 
+ maxusers	8
+ options		TIMEZONE=60, DST=1
+ 
+ #
+ # processors this kernel should support
+ #
+ options		"M68040"	# support for 040
+ options		FPSP		# MC68040 floating point support
+ #options		"M68030"	# support for 030
+ #options		"M68020"	# support for 020/851
+ options		FPCOPROC	# Support for MC6888[12] (Required)
+ 
+ options		SWAPPAGER	# Pager for processes (Required)
+ options		VNODEPAGER	# Pager for vnodes (Required)
+ options		DEVPAGER	# Pager for devices (Required)
+ 
+ #
+ # Networking options
+ #
+ options		INET		# IP networking support (Required)
+ #options		ISO		# ISO Networking support
+ #options		TPIP		# ARGO TP networking support
+ #options	CCITT		# CCITT X.25
+ #options	NS		# Xerox XNS
+ #options	EON		# ISO CLNL over IP
+ options	GATEWAY			# Packet forwarding
+ options	DIRECTED_BROADCAST	# Broadcast across subnets
+ #options	NSIP		# XNS over IP
+ 
+ #
+ # File system related options
+ #
+ #options		QUOTA		# Disk quotas for local disks
+ options		NFSSERVER	# Network File System server side code
+ options		NFSCLIENT	# Network File System client side code
+ 
+ #
+ # File systems
+ #
+ options		FFS		# Berkeley fast file system
+ options		MFS		# Memory based filesystem
+ options		PROCFS		# Process filesystem
+ options		KERNFS		# Kernel parameter filesystem (Recommended)
+ options		FDESC		# /dev/fd filesystem
+ options		NULLFS		# Loopback filesystem
+ options		FIFO		# FIFO operations on vnodes (Recommended)
+ options		ADOSFS		# AmigaDOS file system
+ options		UNION
+ #options		UMAPFS		# The umap layer
+ #options		MSDOSFS		# MS-DOS filesystem
+ options		"CD9660"		# ISO 9660 file system, with Rock Ridge
+ #options		PORTAL		# Portal filesystem
+ 
+ 
+ #
+ # Compatability options for various existing systems
+ #
+ options		"COMPAT_10"	# compatability with older NetBSD release
+ #options		"COMPAT_09"	# compatability with older NetBSD release
+ options		"COMPAT_43"	# 4.3 BSD compatible system calls
+ #options		COMPAT_SUNOS	# Support to run Sun (m68k) executables
+ #options		"TCP_COMPAT_42"	# Use 4.2 BSD style TCP
+ options		"COMPAT_NOMID"	# allow nonvalid machine id executables
+ #options	COMPAT_HPUX	# HP300 compatability
+ 
+ #
+ # Support for System V IPC facilities.
+ #
+ #options		SYSVSHM		# System V-like shared memory
+ #options		SYSVMSG		# System V-like messages
+ #options		SYSVSEM		# System V-like semaphores
+ 
+ #
+ # Support for various kernel options
+ #
+ #options		GENERIC		# Mini-root boot support
+ options		LKM		# Loadable kernel modules
+ options		KTRACE		# Add kernel tracing system call
+ options		DIAGNOSTIC	# Add additional error checking code
+ options		"NKMEMCLUSTERS=256"	# Size of kernel malloc area
+ 
+ #
+ # Misc. debugging options
+ #
+ options		PANICWAIT	# Require keystroke to dump/reboot
+ options		DEBUG		# Add debugging statements
+ options		DDB		# Kernel debugger
+ #options	SYSCALL_DEBUG	# debug all syscalls.
+ #options	SCSIDEBUG	# Add SCSI debugging statements
+ #options	KGDB		# Kernel debugger (KGDB) support
+ #options	PANICBUTTON	# Forced crash via keypress (???)
+ options		ISAED_DEBUG	# ed ethernet driver dubugging
+ #options		SPL_PROF	# time spl regions
+ 
+ #
+ # Amiga specific options
+ #
+ options		MACHINE_NONCONTIG	# Non-contiguous memory support
+ options		RETINACONSOLE	# enable code to allow retina to be console
+ #options		GRF_ECS		# Enhanced Chip Set
+ options		GRF_NTSC	# NTSC
+ options		GRF_PAL		# PAL
+ #options		"GRF_A2024"	# Support for the A2024
+ #options		GRF_AGA		# AGA chip set
+ #options		GRF_CL5426	# Cirrus board support (not yet)
+ #options		"KFONT_8X11"	# 8x11 font
+ options		KFONT_CUSTOM
+ options		EMULATE_3_BUTTONS	# Emulate a middle button
+ options		LEV6_DEFER		# Defer handling of level 6 interrupts
+ 
+ #grfcc0		at mainbus0		# custom chips
+ grfrt0		at zbus0		# retina II
+ #grfrh0		at zbus0		# retina III
+ #grfcl0		at zbus0		# Picasso II/Piccalo/Spectrum
+ 
+ #grf0		at grfcc0
+ grf1		at grfrt0
+ #grf2		at grfrh0
+ #grf3		at grfcl0
+ 
+ #ite0		at grf0			# terminal emulators for grf's
+ ite1		at grf1			# terminal emulators for grf's
+ #ite2		at grf2			# terminal emulators for grf's
+ #ite3		at grf3			# terminal emulators for grf's
+ 
+ #mfc0		at zbus0		# MultiFaceCard I/O board
+ #mfcs0		at mfc0 unit 0		# MFC serial
+ #mfcs1		at mfc0 unit 1		# MFC serial
+ #mfcp0		at mfc0 unit 0		# MFC parallel [not available yet]
+ #mfc1		at zbus0		# MultiFaceCard 2nd I/O board
+ #mfcs2		at mfc1 unit 0
+ #mfcs3		at mfc1 unit 1
+ #mfcp1		at mfc1 unit 0
+ 
+ #le0		at zbus0		# Lance ethernet.
+ #zed0		at zbus0		# dp8390 ethernet
+ #zes0		at zbus0		# SMC 91C90 ethernet
+ 
+ # scsi stuff, all possible
+ #gvpbus0		at zbus0
+ #gtsc0		at gvpbus0		# GVP series II scsi
+ #gvpbus1		at zbus0
+ #gtsc1		at gvpbus1		# GVP series II scsi
+ #ahsc0		at mainbus0		# A3000 scsi
+ #atzsc0		at zbus0
+ #wstsc0		at zbus0		# Wordsync II scsi
+ #ivsc0		at zbus0		# IVS scsi
+ #mlhsc0		at zbus0		# Hacker scsi
+ #otgsc0		at zbus0		# 12 gauge scsi
+ zssc0		at zbus0		# Zeus scsi
+ #mgnsc0		at zbus0		# Magnum scsi
+ #wesc0		at zbus0		# Warp Engine scsi
+ #idesc0		at mainbus0		# A4000(A1200?) IDE
+ #afsc0		at zbus0		# A4091 scsi
+ #flz3sc0		at zbus0		# FastlaneZ3 scsi
+ 
+ #scsibus*	at gtsc?
+ #scsibus*	at atzsc0
+ #scsibus*	at wstsc0
+ #scsibus*	at ivsc0
+ #scsibus*	at mlhsc0
+ #scsibus*	at otgsc0
+ scsibus*	at zssc0
+ #scsibus*	at mgnsc0
+ #scsibus*	at wesc0
+ #scsibus*	at idesc0
+ #scsibus*	at afsc0
+ #scsibus*	at flz3sc0
+ 
+ #
+ # compat.
+ #
+ #sd0	at scsibus? target 0 lun 0
+ #sd1	at scsibus? target 1 lun 0
+ #sd2	at scsibus? target 2 lun 0
+ #sd3	at scsibus? target 3 lun 0
+ #sd4	at scsibus? target 4 lun 0
+ #sd5	at scsibus? target 5 lun 0
+ #sd6	at scsibus? target 6 lun 0
+ #sd7	at scsibus? target 7 lun 0
+ #sd8	at scsibus? target 0 lun 0
+ #sd9	at scsibus? target 1 lun 0
+ #sd10	at scsibus? target 2 lun 0
+ #sd11	at scsibus? target 3 lun 0
+ #sd12	at scsibus? target 4 lun 0
+ #sd13	at scsibus? target 5 lun 0
+ #sd14	at scsibus? target 6 lun 0
+ #sd15	at scsibus? target 7 lun 0
+ 
+ #
+ # This is nicer however many amiga setups expect sd units to refer to
+ # scsi target numbers.  If this is not the case, you can remove the 
+ # specific sdx lines above and each hard drive from low target to high
+ # will configure to the next available sd unit number
+ 
+ sd*	at scsibus? target ? lun ?	# scsi disks
+ st*	at scsibus? target ? lun ?	# scsi tapes
+ cd*	at scsibus? target ? lun ?	# scsi cd's
+ 
+ ggbus0	at zbus0			# Goldengate bridge
+ isa*	at ggbus0
+ 
+ #cross0	at zbus0			# CrossLink bridge
+ #isa*	at cross0
+ 
+ com0	at isa? port 0x3f8 irq 4	# Standard PC serial ports
+ com1	at isa? port 0x2f8 irq 3
+ com2	at isa? port 0x3e8 irq 5
+ com3	at isa? port 0x2e8 irq 9
+ 
+ #com0   at isa? port 0x0f0 irq 11	# Crosslink builtin ports
+ #com1	at isa? port 0x0f8 irq 10
+ 
+ ast0	at isa? port 0x1a0 irq 3	# AST 4-port serial cards
+ #com*	at ast? slave ? flags 1
+ com4	at ast? slave ? flags 1
+ com5	at ast? slave ? flags 1
+ com6	at ast? slave ? flags 1
+ com7	at ast? slave ? flags 1
+ 
+ lpt0	at isa? port 0x378 irq 7	# Standard PC arallel ports
+ lpt1	at isa? port 0x278
+ lpt2	at isa? port 0x3bc
+ 
+ # XXX should be ed0
+ isaed0	at isa? port 0x300 iomem 0xcc000 irq 10	# WD/SMC, 3C503, and NE[12]000
+ 						#   ethernetcards
+ 
+ fd*	at fdc0 unit ?
+ 
+ #pseudo-device	mouse	1		# mouse
+ pseudo-device	view 2			# views
+ #pseudo-device	aconf			# autoconfig info
+ 
+ pseudo-device	loop	1		# network loopback
+ pseudo-device	bpfilter 8		# packet filter
+ pseudo-device	sl	2		# CSLIP
+ pseudo-device	ppp	2		# PPP
+ pseudo-device	tun	2		# network tunneling over tty
+ 
+ pseudo-device	pty	64		# pseudo-terminals
+ pseudo-device	vnd	4		# paging to files
+ 
+ #config	netbsd swap on generic
+ config netbsd root on sd1a swap on sd1b and sd2b
*** old-NetBSD/src/sys/arch/amiga/conf/GENERIC
--- NetBSD/src/sys/arch/amiga/conf/GENERIC
***************
*** 159,166 ****
  #mfcp1		at mfc1 unit 0
  
  le0		at zbus0		# Lance ethernet.
! ed0		at zbus0		# dp8390 ethernet
! es0		at zbus0		# SMC 91C90 ethernet
  ae0		at zbus0		# Ariadne ethernet
  
  # scsi stuff, all possible
--- 159,166 ----
  #mfcp1		at mfc1 unit 0
  
  le0		at zbus0		# Lance ethernet.
! zed0		at zbus0		# dp8390 ethernet
! zes0		at zbus0		# SMC 91C90 ethernet
  ae0		at zbus0		# Ariadne ethernet
  
  # scsi stuff, all possible
*** old-NetBSD/src/sys/arch/amiga/conf/Makefile.amiga
--- NetBSD/src/sys/arch/amiga/conf/Makefile.amiga
***************
*** 33,39 ****
  S=	../../../..
  AMIGA=	../..
  
! INCLUDES= -I. -I$S/arch -I$S -I$S/sys 
  COPTS=	${INCLUDES} ${IDENT} -D_KERNEL -Dmc68020 -Damiga
  CFLAGS=	-O -mc68020 -m68881 ${COPTS}
  
--- 33,39 ----
  S=	../../../..
  AMIGA=	../..
  
! INCLUDES= -I. -I../.. -I$S/arch -I$S -I$S/sys 
  COPTS=	${INCLUDES} ${IDENT} -D_KERNEL -Dmc68020 -Damiga
  CFLAGS=	-O -mc68020 -m68881 ${COPTS}
  
*** /dev/null
--- NetBSD/src/sys/arch/amiga/conf/files.amiga.newconf
***************
*** 0 ****
--- 1,259 ----
+ #	$NetBSD: files.amiga.newconf,v 1.17 1995/02/12 19:18:57 chopps Exp $
+ 
+ # maxpartitions must be first item in files.${ARCH}.newconf
+ maxpartitions 16			# NOTE THAT AMIGA IS SPECIAL!
+ 
+ maxusers 2 8 64
+ 
+ device	mainbus at root {}
+ 
+ device	cpu at mainbus
+ 
+ # zorro II expansion bus.
+ device	zbus at mainbus {}
+ file	arch/amiga/dev/zbus.c		zbus
+ 
+ define	event {}
+ file	arch/amiga/dev/event.c		event
+ 
+ device	clock at mainbus
+ file	arch/amiga/dev/clock.c
+ 
+ # keyboard
+ device	kbd at mainbus: event
+ file	arch/amiga/dev/kbd.c		kbd needs-flag
+ 
+ # serial port
+ device	ser at mainbus:	tty
+ file	arch/amiga/dev/ser.c		ser needs-count
+ 
+ # parellel port
+ device	par at mainbus
+ file	arch/amiga/dev/par.c		par needs-count
+ 
+ # mouse
+ pseudo-device	mouse
+ file	arch/amiga/dev/ms.c		mouse needs-count
+ 
+ device	fdc at mainbus { unit = -1 }
+ 
+ device	fd at fdc
+ file	arch/amiga/dev/fd.c		fd needs-flag
+ major	{fd = 2}
+ 
+ # graphic devices
+ define	grfbus {}
+ 
+ device	grf at grfbus {}
+ file	arch/amiga/dev/grf.c		grf needs-count
+ 
+ device	ite at grf
+ file	arch/amiga/dev/ite.c		ite needs-flag
+ file	arch/amiga/dev/kbdmap.c		ite
+ file	arch/amiga/dev/kf_8x8.c		ite
+ file	arch/amiga/dev/kf_8x11.c	kfont_8x11
+ file	arch/amiga/dev/kf_custom.c	kfont_custom
+ 
+ # custom chips grf
+ device	grfcc at mainbus: grfbus
+ file	arch/amiga/dev/grf_cc.c		grfcc needs-flag
+ file	arch/amiga/dev/ite_cc.c		grfcc ite
+ 
+ pseudo-device	view
+ file	arch/amiga/dev/view.c		view grfcc needs-count
+ file	arch/amiga/dev/grfabs.c		grfcc view
+ file	arch/amiga/dev/grfabs_cc.c	grfcc view
+ file	arch/amiga/dev/grfabs_ccglb.c	grfcc view
+ 
+ # retina grf
+ device	grfrt at zbus: grfbus
+ file	arch/amiga/dev/grf_rt.c		grfrt needs-flag
+ file	arch/amiga/dev/ite_rt.c		grfrt ite
+ 
+ # cirrus grf
+ device	grfcl at zbus: grfbus
+ file	arch/amiga/dev/grf_cl.c		grfcl needs-flag
+ 
+ # retina ZIII grf
+ device	grfrh at zbus: grfbus
+ file	arch/amiga/dev/grf_rh.c		grfrh needs-flag
+ file	arch/amiga/dev/ite_rh.c		grfrh ite
+   
+ # handle gvp's odd autoconf info..
+ device	gvpbus at zbus {}
+ file	arch/amiga/dev/gvpbus.c		gvpbus
+ 
+ define	bridge {}
+ 
+ # GoldenGate bridge
+ device	ggbus at zbus: bridge
+ file	arch/amiga/dev/ggbus.c		ggbus needs-flag
+ 
+ # CrossLink bridge
+ device	cross at zbus: bridge
+ file	arch/amiga/dev/cross.c		cross needs-flag
+ 
+ # Generic bridge driver
+ device	isa at bridge {[port = -1], [size = 0],
+ 		       [iomem = -1], [iosiz = 0],
+ 		       [irq = -1], [drq = -1]}
+ 
+ #
+ # ISA drivers
+ #
+ file	arch/amiga/isa/isa.c		isa
+ 
+ define	commulti {[slave = -1]}
+ device	ast at isa: commulti
+ file	dev/isa/ast.c			ast
+ device	boca at isa: commulti
+ file	dev/isa/boca.c			boca
+ device	rtfps at isa: commulti
+ file	dev/isa/rtfps.c			rtfps
+ 
+ device	com at isa, commulti: tty
+ file	dev/isa/com.c			com needs-count
+ 
+ device	lpt at isa
+ file	dev/isa/lpt.c			lpt needs-flag
+ 
+ device	isaed at isa: ifnet, ether
+ file	arch/amiga/isa/if_isaed.c	isaed
+ 
+ #
+ # Zorro devices again
+ #
+ device	zle at zbus:	ifnet, ether
+ file	arch/amiga/dev/if_zle.c		zle needs-count
+ 
+ device	zed at zbus:	ifnet, ether
+ file	arch/amiga/dev/if_zed.c		zed needs-flag
+ 
+ device	es at zbus:	ifnet, ether
+ file	arch/amiga/dev/if_es.c		es needs-count
+ 
+ # Alf Data MultiFaceCard 3
+ #device	mfch at zbus: tty
+ #file	arch/amiga/dev/mfch.c		mfch needs-count
+ # bsc/Alf Data MultiFaceCard
+ device	mfc at zbus { unit = -1 }
+ 
+ device	mfcs at mfc
+ device	mfcp at mfc
+ file	arch/amiga/dev/mfc.c		mfcs mfcp needs-count
+ 
+ define	scsi {}
+ 
+ # wd 33c93 controllers
+ define	sbic 
+ file	arch/amiga/dev/sbic.c		sbic
+ 
+ # C= A2091
+ device atzsc at zbus: scsi, sbic
+ file	arch/amiga/dev/atzsc.c		atzsc needs-flag
+ 
+ # GVP series II
+ device	gtsc at gvpbus: scsi, sbic
+ file	arch/amiga/dev/gtsc.c		gtsc needs-flag
+ 
+ # Amiga 3000 internal
+ device	ahsc at mainbus: scsi, sbic
+ file	arch/amiga/dev/ahsc.c		ahsc needs-flag
+ 
+ # ncr 57c710 controllers
+ define	siop
+ file	arch/amiga/dev/siop.c		siop
+ 
+ # PPI Zeus
+ device	zssc at zbus: scsi, siop
+ file	arch/amiga/dev/zssc.c		zssc needs-flag
+ 
+ # CSA Magnum
+ device	mgnsc at zbus: scsi, siop
+ file	arch/amiga/dev/mgnsc.c		mgnsc needs-flag
+ 
+ # MacroSystems Warp Engine
+ device	wesc at zbus: scsi, siop
+ file	arch/amiga/dev/wesc.c		wesc needs-flag
+ 
+ # C= A4091
+ device	afsc at zbus: scsi, siop
+ file	arch/amiga/dev/afsc.c		afsc needs-flag
+ 
+ # ncr 5380 controllers
+ define	sci
+ file	arch/amiga/dev/sci.c		sci
+ 
+ # Supra Wordsync II
+ device	wstsc at zbus: scsi, sci
+ file	arch/amiga/dev/wstsc.c		wstsc needs-flag
+ 
+ # IVS 
+ device	ivsc at zbus: scsi, sci
+ file	arch/amiga/dev/ivsc.c		ivsc needs-flag
+ 
+ # CSA twelve gauge.
+ device	otgsc at zbus: scsi, sci
+ file	arch/amiga/dev/otgsc.c		otgsc needs-flag
+ 
+ # MLH
+ device	mlhsc at zbus: scsi, sci
+ file	arch/amiga/dev/mlhsc.c		mlhsc needs-flag
+ 
+ # Emulex ESP216 & FAS216 controllers
+ define	fas
+ file	arch/amiga/dev/fas.c		fas
+ 
+ # FastlaneZ3
+ device	flz3sc at zbus: scsi, fas
+ file	arch/amiga/dev/flz3sc.c		flz3sc needs-flag
+ 
+ # Amiga 4000/1200 IDE masquerading as SCSI
+ device	idesc at mainbus: scsi
+ file	arch/amiga/dev/idesc.c		idesc needs-flag
+ 
+ device	scsibus at scsi	{target = -1, lun = -1}
+ 
+ device	cd at scsibus: disk
+ file	scsi/cd.c			cd needs-flag
+ major	{cd = 6}
+ device	sd at scsibus: disk
+ file	scsi/sd.c			sd needs-flag
+ major	{sd = 4}
+ device	st at scsibus: tape
+ file	scsi/st.c			st needs-flag
+ major	{st = 5}
+ device	ch at scsibus: disk
+ file	scsi/ch.c			ch needs-flag
+ device	uk at scsibus: disk
+ file	scsi/uk.c			uk needs-flag
+ device	su at scsibus: disk
+ file	scsi/su.c			su needs-flag
+ 
+ pseudo-device	aconf
+ file	arch/amiga/dev/aconfdev.c		aconf
+ 
+ # list of standard files...
+ file	dev/cons.c			ite ser
+ file	scsi/scsi_base.c		scsi
+ file	scsi/scsi_ioctl.c		scsi
+ file	scsi/scsiconf.c			scsi
+ file	arch/amiga/amiga/amiga_init.c
+ file	arch/amiga/amiga/autoconf.c
+ file	arch/amiga/amiga/cia.c
+ file	arch/amiga/amiga/conf.c
+ file	arch/amiga/amiga/disksubr.c
+ file	arch/amiga/amiga/dkbad.c
+ file	arch/amiga/amiga/machdep.c
+ file	arch/amiga/amiga/mem.c
+ file	arch/amiga/amiga/pmap.c
+ file	arch/amiga/amiga/sys_machdep.c
+ file	arch/amiga/amiga/trap.c
+ file	arch/amiga/amiga/vm_machdep.c
+ file	arch/amiga/amiga/cc.c
+ file	arch/amiga/amiga/db_memrw.c	ddb
+ file	arch/m68k/m68k/copy.s
+ file	compat/sunos/sunos_misc.c	compat_sunos
+ file	compat/sunos/sunos_init_sysent.c	compat_sunos
+ file	compat/sunos/sunos_ioctl.c	compat_sunos
+ file	compat/sunos/sunos_exec.c	compat_sunos
*** /dev/null
--- NetBSD/src/sys/arch/amiga/dev/aconfdev.c
***************
*** 0 ****
--- 1,168 ----
+ /*
+  * Copyright (c) 1994 Endicor Technologies, Inc.
+  * All rights reserved.
+  *
+  * Redistribution and use in source and binary forms, with or without
+  * modification, are permitted provided that the following conditions
+  * are met:
+  * 1. Redistributions of source code must retain the above copyright
+  *    notice, this list of conditions and the following disclaimer.
+  * 2. Redistributions in binary form must reproduce the above copyright
+  *    notice, this list of conditions and the following disclaimer in the
+  *    documentation and/or other materials provided with the distribution.
+  * 3. All advertising materials mentioning features or use of this software
+  *    must display the following acknowledgement:
+  *	This product includes software developed by 
+  *	Endicor Technologies, Inc. and its contributors.
+  * 4. Neither the name of the Endicor nor the names of its contributors
+  *    may be used to endorse or promote products derived from this software
+  *    without specific prior written permission.
+  *
+  * THIS SOFTWARE IS PROVIDED BY ENDICOR AND CONTRIBUTORS ``AS IS'' AND
+  * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+  * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+  * ARE DISCLAIMED.  IN NO EVENT SHALL ENDICOR OR CONTRIBUTORS BE LIABLE
+  * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+  * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+  * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+  * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+  * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+  * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+  * SUCH DAMAGE.
+  *
+  *	$Id$
+  *
+  *	aconfdev.c -- driver for AUTOCONFIG (TM) information
+  *
+  *      AUTOCONFIG is a trademark of Commodore Electronics Limited.
+  */
+ 
+ #include "aconf.h"
+ 
+ #if NACONF > 0
+ #include "sys/param.h"
+ #include "sys/systm.h"
+ #include "sys/ioctl.h"
+ #include "sys/tty.h"
+ #include "sys/proc.h"
+ #include "sys/conf.h"
+ #include "sys/file.h"
+ #include "sys/uio.h"
+ #include "sys/kernel.h"
+ #include "sys/syslog.h"
+ 
+ #include "device.h"
+ #include "machine/cpu.h"
+ 
+ #include "../amiga/configdev.h"
+ #include "../amiga/memlist.h"
+ 
+ 
+ /*ARGSUSED*/
+ void
+ aconfattach(n)
+ 	int n;
+ {
+ }
+ 
+ /*ARGSUSED*/
+ aconfioctl(dev, cmd, data, flag, p)
+ 	dev_t dev;
+ 	caddr_t data;
+ 	struct proc *p;
+ {
+ 	extern struct Mem_List *mem_list;
+ 	extern int num_ConfigDev;
+ 	extern struct ConfigDev *ConfigDev;
+ 	struct amiga_hw *hw;
+ 	static int numhw = -1;
+ 	int error = 0;
+ 
+ 	if (numhw < 0) {
+ 		numhw = 0;
+                 for (hw = sc_table; hw->hw_type; hw++)
+                 	numhw++;
+ 	}
+ 
+ 	switch (cmd) {
+ 
+ 	case ACIOCGINFO: {
+ 		struct ConfigInfo *ci = (struct ConfigInfo *)data;
+                 	
+ 		ci->ci_NumConfigDev = num_ConfigDev;
+ 		ci->ci_NumHWDev = numhw;
+ 		ci->ci_NumMemSegs = mem_list->num_mem;
+ 		
+ 		ci->ci_CPUType = machineid;
+ 		ci->ci_CPUSpeed = cpuspeed;
+ 		ci->ci_MMUType = mmutype;
+ 
+ 		break;
+ 	}
+ 
+ 	case ACIOCGCDEV: {
+ 		struct ConfigDev *cd = (struct ConfigDev *)data;
+ 		int num;
+ 
+ 		num = cd->cd_Number;
+ 		if (num >= num_ConfigDev) {
+ 			error = EINVAL;
+ 		} else {
+ 			bcopy(  &ConfigDev[num],
+ 				cd,
+ 				sizeof(struct ConfigDev)
+ 			);			
+ 		}
+ 
+ 		break;
+ 	}
+ 
+ 	case ACIOCGAHWD: {
+ 		struct ConfigDev *cd = (struct ConfigDev *)data;
+ 		int num;
+ 		
+ 		num = cd->cd_Number;
+ 		if (num >= numhw) {
+ 			error = EINVAL;
+ 		} else {
+ 			bzero(cd, sizeof(ConfigDev));
+ 			
+ 			hw = &sc_table[num];
+ 
+ 			cd->cd_BoardAddr = hw->hw_pa;
+ 			cd->cd_BoardSize = hw->hw_size;
+ 			cd->cd_Rom.er_Manufacturer = hw->hw_manufacturer;
+ 			cd->cd_Rom.er_Product = hw->hw_product;
+ 			cd->cd_Rom.er_SerialNumber = hw->hw_serno;
+ 			cd->cd_Rom.er_Type = hw->hw_type;
+ 		}
+ 
+ 		break;
+ 	}
+ 
+ 	case ACIOCGMSEG: {
+ 		struct Mem_List *ml = (struct Mem_List *)data;
+ 		int num;
+ 
+ 		num = ml->num_mem;
+ 		if (num >= mem_list->num_mem) {
+ 			error = EINVAL;
+ 		} else {
+ 			bcopy(	&(mem_list->mem_seg[num]), 
+ 				&(ml->mem_seg[0]), 
+ 				sizeof(struct Mem_Seg)
+ 			);
+ 		}
+ 
+ 		break;
+ 	}
+ 
+ 	default:
+ 		error = EINVAL;
+ 		break;
+ 
+ 	}
+ 	return(error);
+ }
+ 
+ #endif	/* NACONF > 0 */
*** old-NetBSD/src/sys/arch/amiga/dev/ahsc.c
--- NetBSD/src/sys/arch/amiga/dev/ahsc.c
***************
*** 110,119 ****
  	volatile struct sdmac *rp;
  	struct sbic_softc *sc;
  	
- 	printf("\n");
- 
  	sc = (struct sbic_softc *)dp;
  	sc->sc_cregs = rp = ztwomap(0xdd0000);
  	/*
  	 * disable ints and reset bank register
  	 */
--- 110,120 ----
  	volatile struct sdmac *rp;
  	struct sbic_softc *sc;
  	
  	sc = (struct sbic_softc *)dp;
  	sc->sc_cregs = rp = ztwomap(0xdd0000);
+ 	printf (": sbic ctlr %d\n", sbic_cnt);
+ 	sc->sc_no = sbic_cnt++;
+ 
  	/*
  	 * disable ints and reset bank register
  	 */
*** old-NetBSD/src/sys/arch/amiga/dev/atzsc.c
--- NetBSD/src/sys/arch/amiga/dev/atzsc.c
***************
*** 121,126 ****
--- 121,129 ----
  	
  	sc = (struct sbic_softc *)dp;
  	sc->sc_cregs = rp = zap->va;
+ 	printf (": sbic ctlr %d", sbic_cnt);
+ 	sc->sc_no = sbic_cnt++;
+ 
  	/*
  	 * disable ints and reset bank register
  	 */
***************
*** 158,164 ****
  	sc->sc_sbicp = (sbic_regmap_p) ((int)rp + 0x91);
  	sc->sc_clkfreq = sbic_clock_override ? sbic_clock_override : 77;
  	
! 	printf(": dmamask 0x%x\n", ~sc->sc_dmamask);
  
  	sc->sc_link.adapter_softc = sc;
  	sc->sc_link.adapter_target = 7;
--- 161,169 ----
  	sc->sc_sbicp = (sbic_regmap_p) ((int)rp + 0x91);
  	sc->sc_clkfreq = sbic_clock_override ? sbic_clock_override : 77;
  	
! 	printf(" dmamask 0x%x\n", ~sc->sc_dmamask);
! 
! 	sbicreset(sc);
  
  	sc->sc_link.adapter_softc = sc;
  	sc->sc_link.adapter_target = 7;
*** old-NetBSD/src/sys/arch/amiga/dev/clock.c
--- NetBSD/src/sys/arch/amiga/dev/clock.c
***************
*** 50,55 ****
--- 50,56 ----
  #include <amiga/amiga/device.h>
  #include <amiga/amiga/custom.h>
  #include <amiga/amiga/cia.h>
+ #include <amiga/amiga/isr.h>
  #include <amiga/dev/rtc.h>
  #include <amiga/dev/zbusvar.h>
  
***************
*** 57,62 ****
--- 58,65 ----
  #include <sys/PROF.h>
  #endif
  
+ extern void hardclock();
+ 
  /* the clocks run at NTSC: 715.909kHz or PAL: 709.379kHz. 
     We're using a 100 Hz clock. */
  
***************
*** 65,70 ****
--- 68,80 ----
  int eclockfreq;
  
  /*
+  * The INT6 handler copies the clockframe from the stack in here as hardclock
+  * may be delayed by the IPL-remapping code.  At that time the original stack
+  * location will no longer be valid.
+  */
+ struct clockframe hardclock_frame;
+ 
+ /*
   * Machine-dependent clock routines.
   *
   * Startrtclock restarts the real-time clock, which provides
***************
*** 137,145 ****
--- 147,168 ----
  	ciab.tahi = interval >> 8;
  }
  
+ int
+ clockintr ()
+ {
+ 	/* Is it a timer A interrupt? */
+ 	if (ciab.icr & 1) {
+ 		hardclock(&hardclock_frame);
+ 		return 1;
+ 	}
+ 	return 0;
+ }
+ 
  void
  cpu_initclocks()
  {
+ 	static struct isr isr;
+ 
  	/*
  	 * enable interrupts for timer A
  	 */
***************
*** 150,159 ****
  	 */
  	ciab.cra = (ciab.cra & 0xc0) | 1;
    
! 	/*
! 	 * and globally enable interrupts for ciab
! 	 */
! 	custom.intena = INTF_SETCLR | INTF_EXTER;
  }
  
  setstatclockrate(hz)
--- 173,182 ----
  	 */
  	ciab.cra = (ciab.cra & 0xc0) | 1;
    
! 	isr.isr_intr = clockintr;
! 	isr.isr_ipl = 6;
! 	isr.isr_mapped_ipl = 4;
! 	add_isr(&isr);
  }
  
  setstatclockrate(hz)
***************
*** 213,219 ****
  
  	/*
  	 * set timer B in "count timer A underflows" mode
! 	 * set tiemr A in one-shot mode
  	 */
  	ciaa.crb = (ciaa.crb & 0x80) | 0x48;
  	ciaa.cra = (ciaa.cra & 0xc0) | 0x08;
--- 236,242 ----
  
  	/*
  	 * set timer B in "count timer A underflows" mode
! 	 * set timer A in one-shot mode
  	 */
  	ciaa.crb = (ciaa.crb & 0x80) | 0x48;
  	ciaa.cra = (ciaa.cra & 0xc0) | 0x08;
*** old-NetBSD/src/sys/arch/amiga/dev/fd.c
--- NetBSD/src/sys/arch/amiga/dev/fd.c
***************
*** 481,488 ****
  		return(EBADF);
  
  	switch (cmd) {
- 	case DIOCSBAD:
- 		return(EINVAL);
  	case DIOCSRETRIES:
  		if (*(int *)addr < 0)
  			return(EINVAL);
--- 481,486 ----
*** old-NetBSD/src/sys/arch/amiga/dev/grf_cc.c
--- NetBSD/src/sys/arch/amiga/dev/grf_cc.c
***************
*** 89,95 ****
  	if (matchname("grfcc", mainbus_name) == 0)
  		return(0);
  	if (amiga_realconfig == 0 || ccconunit != cfp->cf_unit) {
! 		if (grfcc_probe() == 0) 
  			return(0);
  		viewprobe();
  		/*
--- 89,95 ----
  	if (matchname("grfcc", mainbus_name) == 0)
  		return(0);
  	if (amiga_realconfig == 0 || ccconunit != cfp->cf_unit) {
! 		if (grf_probe() == 0) 
  			return(0);
  		viewprobe();
  		/*
